Transfers
Send
Send a file by email to one or more recipients.
POST
/
send
curl -X POST https://api.byteport.com/send \
-H "Authorization: Bearer bp_xxxxxxxxx" \
-H "User-Agent: my-app/1.0" \
-H "Content-Type: application/json" \
-d '{
"source": "Production Bucket/reports/Q1.pdf",
"to": ["ada@example.com", "linus@example.com"],
"scheduledAt": "in 1 min",
"text": "Quarterly report attached.",
"password": "hunter2"
}'
{
"id": "snd_01HZ...",
"status": "scheduled"
}
Sends a file via email to the provided recipients. Schedule it for later or
gate it behind a password — both are optional.
Body parameters
string
required
Filename to share. Regex supported, but the request will return a specific
error code if it matches to more than one source file.
string | string[]
required
Recipient email address. For multiple addresses, send as an array of
strings. Maximum of
50 recipients per request.string | string[]
Bcc recipient email address. For multiple addresses, send as an array of
strings.
string | string[]
Cc recipient email address. For multiple addresses, send as an array of
strings.
string
Schedule the email to be sent later. The date should be in natural language
(e.g.
in 1 min) or ISO 8601 format (e.g. 2026-08-05T11:52:01.858Z).string | string[]
Reply-to email address. For multiple addresses, send as an array of strings.
string
Text to include alongside the file.
string
Text password required to unlock the sent file.
Example
curl -X POST https://api.byteport.com/send \
-H "Authorization: Bearer bp_xxxxxxxxx" \
-H "User-Agent: my-app/1.0" \
-H "Content-Type: application/json" \
-d '{
"source": "Production Bucket/reports/Q1.pdf",
"to": ["ada@example.com", "linus@example.com"],
"scheduledAt": "in 1 min",
"text": "Quarterly report attached.",
"password": "hunter2"
}'
{
"id": "snd_01HZ...",
"status": "scheduled"
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Filename to share.
Recipient email address. Max 50.
Bcc recipient email address(es).
Cc recipient email address(es).
Schedule the email to be sent later. Accepts natural language (e.g. in 1 min) or ISO 8601.
Reply-to email address(es).
Text to include alongside the file.
Password required to unlock the sent file.
curl -X POST https://api.byteport.com/send \
-H "Authorization: Bearer bp_xxxxxxxxx" \
-H "User-Agent: my-app/1.0" \
-H "Content-Type: application/json" \
-d '{
"source": "Production Bucket/reports/Q1.pdf",
"to": ["ada@example.com", "linus@example.com"],
"scheduledAt": "in 1 min",
"text": "Quarterly report attached.",
"password": "hunter2"
}'
{
"id": "snd_01HZ...",
"status": "scheduled"
}

